System.Design 2.0.0.0 System.Enum

The enumeration can be specified when creating an instance of the class.

Specifies the orientation and relative location of a snapline.

- Field
  2.0.0.0
  System.Windows.Forms.Design.Behavior.SnapLineType

  A horizontal snapline typically associated with a primary internal feature of a control; for example, the base of the text string in a control.

- Field
  2.0.0.0
  System.Windows.Forms.Design.Behavior.SnapLineType

  A horizontal snapline typically aligned to the bottom edge of a control.

- Field
  2.0.0.0
  System.Windows.Forms.Design.Behavior.SnapLineType

  A horizontal snapline typically not associated with an edge of a control.

- Field
  2.0.0.0
  System.Windows.Forms.Design.Behavior.SnapLineType

  A vertical snapline typically aligned to the left edge of a control.

- Field
  2.0.0.0
  System.Windows.Forms.Design.Behavior.SnapLineType

  A vertical snapline typically aligned to the right edge of a control.

- Field
  2.0.0.0
  System.Windows.Forms.Design.Behavior.SnapLineType

  A horizontal snapline typically aligned to the top edge of a control.

- Field
  2.0.0.0
  System.Windows.Forms.Design.Behavior.SnapLineType

  A vertical snapline typically not associated with an edge of a control.